php make error fc3

Kristina Clair kclair at gmail.com
Fri Mar 25 16:50:16 UTC 2005


Hi,

Thanks for the reply.  I had just fixed the problem by installing libtool-libs.

We need too many things compiled into php to use the rpm version.

Kristina


On Fri, 25 Mar 2005 11:39:03 -0500, Matthew Miller <mattdm at mattdm.org> wrote:
> On Fri, Mar 25, 2005 at 10:45:03AM -0500, Kristina Clair wrote:
> > Has anyone seen this when compiling php4.3.10 on FC3?
> > /usr/bin/ld: cannot find -lltdl
> > collect2: ld returned 1 exit status
> > make: *** [libphp4.la] Error 1
> > rpm -qf /usr/bin/ld
> > binutils-2.15.92.0.2-5
> 
> The problem isn't with ld -- ld just can't find something. In specific, it
> says it can't find -lltdl -- which is, by convention, a short way of saying
> 'libltdl.so'. On my system:
> 
> $ rpm -qf /usr/lib/libltdl.so
> libtool-1.5.6-4.FC3.1
> 
> But I'm curious -- in the PHP updates area, there's already a php 4.3.10
> package, so you should be able to just do 'yum install php' and get it -- is
> there a problem with that?
> 
> --
> Matthew Miller           mattdm at mattdm.org        <http://www.mattdm.org/>
> Boston University Linux      ------>                <http://linux.bu.edu/>
> 
> --
> fedora-list mailing list
> fedora-list at redhat.com
> To unsubscribe: http://www.redhat.com/mailman/listinfo/fedora-list
>




More information about the users mailing list